# class RSS::REXMLParser

### Public Class Methods

listener() click to toggle source

    # File lib/rss/rexmlparser.rb, line 10
    def listener
      REXMLListener
    end

### Private Instance Methods

_parse() click to toggle source

    # File lib/rss/rexmlparser.rb, line 16
    def _parse
      begin
        REXML::Document.parse_stream(@rss, @listener)
      rescue RuntimeError => e
        raise NotWellFormedError.new{e.message}
      rescue REXML::ParseException => e
        context = e.context
        line = context[0] if context
        raise NotWellFormedError.new(line){e.message}
      end
    end